#
# spec file for package ghc-ConfigFile
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ConfigFile
# No useful debuginfo for Haskell packages without C sources.
%global debug_package %{nil}
Name:           ghc-ConfigFile
Version:        1.1.4
Release:        1.2
Summary:        Configuration file reading & writing
License:        LGPL-2.1+ or BSD-3-Clause
Group:          Development/Libraries/Other
Url:            http://software.complete.org/configfile
Source0:        https://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-MissingH-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros

%description
Parser and writer for handling sectioned config files in Haskell.

The ConfigFile module works with configuration files in a standard
format that is easy for the user to edit, easy for the programmer
to work with, yet remains powerful and flexible. It is inspired by,
and compatible with, Python's ConfigParser module. It uses files
that resemble .INI-style files, but with numerous improvements.

ConfigFile provides simple calls to both read and write config files.
It's possible to make a config file parsable by this module, the
UNIX shell, and make.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library
development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root)
%doc BSD3 COPYRIGHT LGPL-2.1

%files devel -f %{name}-devel.files
%defattr(-,root,root)
%doc README

%changelog
* Sun May  1 2016 sor.alexei@meowr.ru
- Minor spec cleanup.
* Sat Feb 13 2016 mimi.vx@gmail.com
- ghc-ConfigFile generated by st2obs script
